Android Build fail Internal and Gradle

Every time I have tried to build my Android APK i keep getting a failure error. I have tried Gradle and Internal and they both fail. Im using Unity 2017 3.03f and Android tools 25.2 and android build tools 26.0. I had to do a work around to have it get this far into the build process by exchanging the newest toosl for the 25.2. I am now getting this error and I have searched and tried alot of “workarounds” and I havent had any luck. Any help will be greatly appreciated.

Downgrade and install the JDK 8 kit instead of JDK 9, Unity 2017 version doesn’t support the new beta JDK 9
click here to download JDK 8

You sir are my hero!!!